## speech-tools 2.1~release

=== Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996-2010                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##     Top level Makefile for Edinburgh Speech tools library             ##
##     Authors: Paul Taylor, Simon King, Alan W Black, Richard Caley     ##
##                 and others (see ACKNOWLEDGEMENTS)                     ##
##     Version: 2.1 beta November 2010                                   ##
##                                                                       ##
###########################################################################

TOP=.
DIRNAME=.
LIB_BUILD_DIRS = audio utils base_class ling_class speech_class sigpr \
             stats grammar intonation
# Development directories are those that contain non-stable code
#DEV_DIRS = $(shell if [ -f DEV_DIRS ]; then cat DEV_DIRS; fi )
BUILD_DIRS = $(LIB_BUILD_DIRS) lib main scripts testsuite bin
TEMPLATE_DIRS=include audio utils base_class base_class/string \
              ling_class speech_class sigpr stats grammar siod
EXTRA_DIRS=siod java rxp wrappers
ALL_DIRS = include $(BUILD_DIRS) $(EXTRA_DIRS) config doc 
VERSION=$(PROJECT_VERSION)
CONFIG=configure configure.in config.sub config.guess \
       missing install-sh mkinstalldirs
FILES=Makefile README INSTALL $(CONFIG)

LOCAL_CLEAN= Build.trace Test.trace Templates.DB

ALL = .config_error .sub_directories

# Try and say if config hasn't been created
config_dummy := $(shell test -f config/config || ( echo '*** '; echo '*** Making default config file ***'; echo '*** '; ./configure; )  >&2)

# force a check on the system file
system_dummy := $(shell $(MAKE) -C $(TOP)/config -f make_system.mak TOP=.. system.mak)

include $(TOP)/config/common_make_rules

dist:	backup
backup:  time-stamp
	 @ $(MAKE) file-list
	 @ sed 's/^\.\///' <FileList | sed 's/^/speech_tools\//' >FileList.all
	 @ (cd ..; tar cvf - `cat speech_tools/FileList.all` speech_tools/.time-stamp | gzip > speech_tools/speech_tools-$(VERSION)-$(PROJECT_STATE).tar.gz)
	 @ $(RM) -f $(TOP)/FileList.all
	 @ ls -l speech_tools-$(VERSION)-$(PROJECT_STATE).tar.gz

time-stamp :
	@ echo speech_tools $(VERSION) >.time-stamp
	@ date >>.time-stamp

minrev:  backup
	@mv speech_tools-$(VERSION).tar.gz speech_tools-$(VERSION).`date +%y%m%d`.tar.gz

tags:
	@ $(RM) -f FileList
	@ $(MAKE) --no-print-directory FileList
	@ etags `grep ".[ch]c*$$" FileList`

test: make_library
	@ $(MAKE) --no-print-directory -C testsuite test

rebuild_and_test:
	$(MAKE) -k clean
	$(MAKE) -k depend
	$(MAKE) -k all >Build.trace 2>&1 
	$(MAKE) -k test >Test.trace 2>&1 
	@if egrep 'FAILED|INCORRECT' Test.trace ;\
		then \
		echo test failed ;\
		exit 1 ;\
	fi
	@if cat Build.trace Test.trace | egrep 'warning:' ;\
		then \
		echo warnings found ;\
		exit 2 ;\
	fi

config/config: config/config.in config.status
	./config.status

configure: configure.in
	autoconf

include $(TOP)/config/rules/top_level.mak
include $(TOP)/config/rules/install.mak

=== java/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################

TOP=..
DIRNAME=java

VERSION_DIRS = basic_version 

ALL_DIRS= common basic_version cpp_version media_version

DEPEND_DIRS = common

build_basic_version_from = common basic_version
build_cpp_version_from   = common cpp_version
build_media_version_from = common media_version

FILES = Makefile java.mak java_cpp.mak java_media.mak ReadMe

LOCAL_CLEAN = $(VERSION_DIRS:%=%_build)

# We don't compile in here for Visual C++
VC_IGNORE=yes

# ALL = .sub_directories .javalib
ALL = check_and_make

include $(TOP)/config/common_make_rules
include $(EST)/config/rules/build_dir.mak

check_and_make: $(VERSION_DIRS:%=create_%_build) $(VERSION_DIRS:%=%_build)

=== lib/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#         library directory
#                                                           
#========================================================================##
TOP=..
DIRNAME=lib

SKELETONS = est_program_makefile-in est_mainline-in

FILES = Makefile cstrutt.dtd $(SKELETONS) VCLocalRules
BUILT_LIBRARIES = $(PROJECT_LIBRARIES:%=lib%.a)
SHARED_LIBRARIES = $(PROJECT_SHARED_LIBRARIES:%=lib%.so*)

ALL_DIRS = example_data siod 
LOCAL_CLEAN = $(BUILT_LIBRARIES) $(SHARED_LIBRARIES) est.jar $(SKELETONS:%-in=%)

INSTALL = libfile

ALL = $(SKELETONS:%-in=%) .libraries 

include $(TOP)/config/common_make_rules

libfile:
	$(INSTALL_PROG) libestools.a libeststring.a $(LIBDIR)/

CXX_COMMAND_ABS=$(subst $(TOP),$$(EST_HOME),$(CXX_COMMAND))
CC_COMMAND_ABS=$(subst $(TOP),$$(EST_HOME),$(CXX_COMMAND))
LINK_COMMAND_ABS=$(subst $(TOP),$$(EST_HOME),$(LINK_COMMAND))
INCLUDES_ABS=$(subst $(TOP),$$(EST_HOME),$(INCLUDES))
LIBS_ABS=$(subst $(TOP),$$(EST_HOME),$(LIBS))

skeletons: $(SKELETONS:%-in=%)

$(SKELETONS:%-in=%): $(TOP)/config/config

$(SKELETONS:%-in=%) : %: %-in
	@echo make $* from $*-in
	@- if [ -f $* ] ; then  chmod +w $* ; fi
	@$(NAWK) -f  "$(EST)/config/rules/script_process.awk" \
		project='$(PROJECT_NAME)' \
		version='$(PROJECT_VERSION)' \
		systemtype='$(MACHINETYPE)_$(OSTYPE)$(OSREV)' \
		topdir='$($(PROJECT_PREFIX)_HOME)' \
		lib='$($(PROJECT_PREFIX)_HOME)/$(PROJECT_LIBRARY_DIR)' \
		includes='$(INCLUDES_ABS)' \
		defines='$(DEFINES)' \
		libs='$(LIBS_ABS)' \
		est='$(EST_HOME)' \
		classpath='$(SYSTEM_JAVA_CLASSPATH)' \
		perl='$(PERL)' \
		javahome='$(JAVA_HOME)' \
		java='$(JAVA)' \
		javac='$(JAVAC)' \
		ldpath='$(SYSTEM_LD_LIBRARY_PATH)' \
		cccommand='$(CC_COMMAND_ABS)' \
		cxxcommand='$(CXX_COMMAND_ABS)' \
		linkcommand='$(LINK_COMMAND_ABS)' \
			$*-in > $*
	@-chmod -w $*

=== main/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                    Copyright (c) 1994,1995,1996                       ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#                       Author :  Paul Taylor                             #
#                       Date   :  June 1994                               #
#-------------------------------------------------------------------------#
#           Makefile for directory for stand alone programs               #
#                                                                         #
#=========================================================================#
TOP=..
DIRNAME=main
ALL_DIRS = # main_development
BUILD_DIRS = 
H = 
TSRCS =	 
BASESRCS = ch_lab_main.cc ch_track_main.cc ch_wave_main.cc \
           na_play_main.cc na_record_main.cc \
           sigfilter_main.cc sig2fv_main.cc spectgen_main.cc \
           pda_main.cc pitchmark_main.cc \
           ngram_test_main.cc ngram_build_main.cc \
	   tilt_synthesis_main.cc tilt_analysis_main.cc \
	   viterbi_main.cc dp_main.cc bcat_main.cc ch_utt_main.cc \
	   fringe_client_main.cc design_filter_main.cc align_main.cc


MAINSRCS = $(BASESRCS)
MODMAINSRCS =

# Part of the distribution but only optionally compiled
EXTRASRCS = wagon_main.cc wagon_test_main.cc \
            ols_main.cc ols_test_main.cc \
            scfg_make_main.cc scfg_train_main.cc scfg_test_main.cc \
            scfg_parse_main.cc \
            wfst_build_main.cc wfst_run_main.cc wfst_train_main.cc \
            siod_main.cc \
            xml_parser_main.cc


CPPSRCS = $(MAINSRCS) $(TSRCS) $(EXTRASRCS)

OBJS = $(CPPSRCS:.cc=.o)

# Specific extra LIBS for specific programs
na_play_LIBS = $(AUDIO_LIBS) $(AUDIO_EXTRA_LIBS)
ch_lab_LIBS = $(FILEFORMATLIBS)
ch_track_LIBS = $(FILEFORMATLIBS)

MAIN_EXECS = $(MAINSRCS:_main.cc=)
MOD_EXECS = $(notdir $(MODMAINSRCS:_main.cc=))
ALL_EXECS = $(MAIN_EXECS) $(MOD_EXECS)
ALL = .make_execs .sub_directories

SRCS = $(CPPSRCS)
FILES= $(BASESRCS) $(EXTRASRCS) $(TSRCS) Makefile

include $(TOP)/config/common_make_rules
include $(TOP)/config/rules/bin_process.mak

MAIN_O = $(MAIN_EXECS:%=%_main.o)
$(MAIN_O) : %_main.o : %_main.cc
	$(CXX_COMMAND) -o $@ $<

MOD_O = $(MOD_EXECS:=_main.o)
$(MOD_O) : %_main.o : $(SRC_FOR_%)
	$(CXX_COMMAND) -o $@ -DESTLIBDIR=\"$(EST_HOME)/lib\" $($*_SRC)

$(ALL_EXECS) : % : $(LIBDEPS) %_main.o 
	$(strip $(LINK_COMMAND) -o $@ $@_main.o $(LIBS) $($(@:=_LIBS)))

.make_execs : $(ALL_EXECS)

=== siod/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#                                                                         #
# Makefile for siod directory                                             #
#                                                                         #
# Note the siod code in this directory was mostly developed by            #
# PARADIGM ASSOCIATES INCORPORATED, CAMBRIDGE, MASSACHUSETTS.             #
# and hence falls under their copyright                                   #
#                                                                         #
# The editline library comes from Simmule Turner and Rich Salz copyright  #
# 1992 all rights reserved, it was inserted in the standard speech tools  #
# distribution in Dec 1998                                                #
#                                                                         #
# Note that almost all of the files in this directory are free with no    #
# commercial restriction as the as so heavily based on existing free      #
# software                                                                #
#                                                                         #
###########################################################################
TOP=..
DIRNAME=siod
EDITLINEH = siodeditline.h editline.h el_unix.h
H = siodp.h io.h EST_SiodServer.h $(EDITLINEH)
TSRCS = siod.cc siod_est.cc
ELSRCS = siodeditline.c el_complete.c editline.c el_sys_unix.c
CSRCS =  siodeditline.c 
CXXSRCS = slib.cc \
          slib_core.cc slib_doc.cc slib_file.cc slib_format.cc \
          slib_list.cc slib_math.cc slib_sys.cc slib_server.cc \
          slib_str.cc slib_xtr.cc slib_repl.cc siod_fringe.cc siod_server.cc \
          io.cc trace.cc EST_SiodServer.cc $(TSRCS)
SRCS = $(CSRCS) $(CXXSRCS)
OBJS = $(CXXSRCS:.cc=.o) $(CSRCS:.c=.o) 

FILES=Makefile siod.mak el_sys_win32.c $(CXXSRCS) $(ELSRCS) $(H)

ALL = .buildlib

include $(TOP)/config/common_make_rules

DEFINES  += $(IO_DEFINES)
INCLUDES += $(IO_INCLUDES)

=== stats/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#                    Statistical Routines Makefile                        #
#                                                                         #
#=========================================================================#
TOP=..
DIRNAME=stats
LIB_BUILD_DIRS= kalman_filter
ALL_DIRS = $(BUILD_DIRS) wagon
BUILD_DIRS = $(LIB_BUILD_DIRS)

LOCAL_DEFAULT_LIBRARY = estbase

H = 
TSRCS = dynamic_program.cc
CPPSRCS = EST_cluster.cc EST_multistats.cc confusion.cc \
	  EST_Discrete.cc EST_DProbDist.cc EST_ols.cc \
          EST_viterbi.cc $(TSRCS)
SRCS = $(CPPSRCS) $(CSRCS)
OBJS = $(CPPSRCS:.cc=.o) $(CSRCS:.c=.o)
FILES = $(SRCS) $(H) Makefile ols.mak

ALL = .buildlib .sub_directories

include $(TOP)/config/common_make_rules

test:
	: $(BUILD_DIRS) + $(EXTRA_BUILD_DIRS) + $(EXTRA_LIB_BUILD_DIRS)
	: $(SUBDIRECTORIES)

=== utils/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#                     Makefile for utility classes                        #
#                                                                         #
#=========================================================================#
TOP=..
DIRNAME=utils

LOCAL_DEFAULT_LIBRARY = estbase

H = 
TSRCS = est_file.cc  EST_ServiceTable.cc
CSRCS = EST_cutils.c EST_error.c walloc.c system_specific_unix.c 
CPPSRCS = cmd_line.cc util_io.cc filetrans.cc cmd_line_aux.cc  \
          EST_swapping.cc EST_Server.cc EST_FringeServer.cc $(TSRCS)

SRCS = $(CPPSRCS) $(CSRCS)
OBJS = $(CPPSRCS:.cc=.o) $(CSRCS:.c=.o)
OBJS_eststring = walloc.o
FILES = $(SRCS) $(H) Makefile system_specific_win32.c

LOCAL_INCLUDES =

ALL = .buildlibs

include $(TOP)/config/common_make_rules

EST_cutils.o: EST_cutils.c
	$(CC_COMMAND) -DESTNAME='$(PROJECT_NAME)' -DESTDATE='$(PROJECT_DATE)' -DESTVERSION='$(PROJECT_VERSION)' -DESTLIBDIRC='$(EST_HOME)/lib' -DESTSTATE='$(PROJECT_STATE)' -DESTOSTYPE='$(SYSTEM_TYPE)' EST_cutils.c

=== config/compilers/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Makefile for config directory                                        ##
##                                                                       ##
###########################################################################
TOP=../..
DIRNAME=config/compilers

COMPILERS = gcc.mak gcc27.mak gcc28.mak gcc295.mak \
	egcs.mak gcc27emx.mak intel80.mak \
        suncc.mak suncc40.mak \
        jolt.mak jdk.mak jdk12.mak none.mak \
	jikes.mak gcc296.mak gcc30.mak gcc31.mak gcc32.mak

FILES = Makefile $(COMPILERS) gcc_defaults.mak suncc_defaults.mak jdk_defaults.mak jikes_defaults.mak

include $(TOP)/config/common_make_rules

=== config/configs/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Makefile for config directory                                        ##
##                                                                       ##
###########################################################################

TOP=../..
DIRNAME=config/configs

###########################################################################
## 
## Configurations:
## 
## 	egcs_as_gcc.mak	Egcs is installed as gcc/g++
## 
## 	cstr.mak	Setup on cstr Solaris machines
## 
## 	ellipsis	Setup on cstr linux machine
##
## 	kellogg		Setup on cstr machine with different java location
##
##	v_java		Special setup for a with-java compilation at cstr
## 
## 	rjc		Weird things in rjc's setup.


CONFIGURATIONS = \
	egcs_as_gcc.mak \
	cstr.mak \
	ellipsis.mak \
	kellogg.mak \
	v_java.mak \
	rjc.mak \
	cstr_jdk1.2.mak

FILES = Makefile $(CONFIGURATIONS)

include $(TOP)/config/common_make_rules

=== config/modules/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Makefile for config directory                                        ##
##                                                                       ##
###########################################################################
TOP=../..
DIRNAME=config/modules

RULESETS = efence.mak dmalloc.mak debugging.mak \
	psola_tm.mak editline.mak tcl.mak \
	freebsd16_audio.mak irix_audio.mak linux16_audio.mak \
	sun16_audio.mak win32_audio.mak macosx_audio.mak \
	mplayer_audio.mak nas_audio.mak esd_audio.mak

FILES = Makefile descriptions $(RULESETS) 

include $(TOP)/config/common_make_rules

=== include/instantiate/Makefile ===
 ###########################################################################
 ##                                                                       ##
 ##                Centre for Speech Technology Research                  ##
 ##                     University of Edinburgh, UK                       ##
 ##                         Copyright (c) 1996                            ##
 ##                        All Rights Reserved.                           ##
 ##                                                                       ##
 ##  Permission is hereby granted, free of charge, to use and distribute  ##
 ##  this software and its documentation without restriction, including   ##
 ##  without limitation the rights to use, copy, modify, merge, publish,  ##
 ##  distribute, sublicense, and/or sell copies of this work, and to      ##
 ##  permit persons to whom this work is furnished to do so, subject to   ##
 ##  the following conditions:                                            ##
 ##   1. The code must retain the above copyright notice, this list of    ##
 ##      conditions and the following disclaimer.                         ##
 ##   2. Any modifications must be clearly marked as such.                ##
 ##   3. Original authors' names are not deleted.                         ##
 ##   4. The authors' names are not used to endorse or promote products   ##
 ##      derived from this software without specific prior written        ##
 ##      permission.                                                      ##
 ##                                                                       ##
 ##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
 ##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
 ##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
 ##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
 ##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
 ##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
 ##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
 ##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
 ##  THIS SOFTWARE.                                                       ##
 ##                                                                       ##
 ###########################################################################
 ##                                                                       ##
 ## Files in this directory define how best to instantiate a template     ##
 ## class.                                                                ##
 ##                                                                       ##
 ###########################################################################

TOP=../..
DIRNAME=include/instantiate

H = EST_TVectorI.h EST_TSimpleVectorI.h EST_TMatrixI.h EST_TSimpleMatrixI.h \
	EST_TListI.h EST_TSortableI.h \
	EST_TKVLI.h EST_THashI.h EST_TStringHashI.h \
	EST_TNamedEnumI.h EST_TDequeI.h EST_TIteratorI.h

FILES = Makefile $(H)
INSTALL = install_incs

include $(TOP)/config/common_make_rules

install_incs:
	mkdir -p $(INCDIR)/EST/instantiate
	cp -p *.h $(INCDIR)/EST/instantiate

=== lib/example_data/Makefile ===
 ###########################################################################
 ##                                                                       ##
 ##                Centre for Speech Technology Research                  ##
 ##                     University of Edinburgh, UK                       ##
 ##                         Copyright (c) 1996                            ##
 ##                        All Rights Reserved.                           ##
 ##                                                                       ##
 ##  Permission is hereby granted, free of charge, to use and distribute  ##
 ##  this software and its documentation without restriction, including   ##
 ##  without limitation the rights to use, copy, modify, merge, publish,  ##
 ##  distribute, sublicense, and/or sell copies of this work, and to      ##
 ##  permit persons to whom this work is furnished to do so, subject to   ##
 ##  the following conditions:                                            ##
 ##   1. The code must retain the above copyright notice, this list of    ##
 ##      conditions and the following disclaimer.                         ##
 ##   2. Any modifications must be clearly marked as such.                ##
 ##   3. Original authors' names are not deleted.                         ##
 ##   4. The authors' names are not used to endorse or promote products   ##
 ##      derived from this software without specific prior written        ##
 ##      permission.                                                      ##
 ##                                                                       ##
 ##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
 ##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
 ##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
 ##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
 ##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
 ##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
 ##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
 ##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
 ##  THIS SOFTWARE.                                                       ##
 ##                                                                       ##
 ###########################################################################
 ##                                                                       ##
 ##                 Author: Richard Caley (rjc@cstr.ed.ac.uk)             ##
 ## --------------------------------------------------------------------  ##
 ## This directory contains data used in tests and anything else which    ##
 ## might be useful to users trying things out.                           ##
 ##                                                                       ##
 ###########################################################################

TOP=../..
DIRNAME=lib/example_data

VITFILES = vit.B.ngram vit.observes vit.vocab
CH_WAVE_FILES = ch_wave.wav key.lab
CH_TRACK_FILES = ch_track.htk
LPC_FILES = kdt_001.wav kdt_001.pm
WAGON_FILES = wagon.data wagon.desc wagon.tree
TEXT_FILES = alice options.file
MAP_FILES = colours.map colours_translation.map channel_names.map
XML_FILES = eg.xml eg.dtd
UTT_FILES = ked_wr1_012.utt
TILT_FILES = kdt_001.il kdt_001.tilt
TESTFILES = $(VITFILES) $(CH_WAVE_FILES) $(CH_TRACK_FILES) $(TEXT_FILES) \
	$(MAP_FILES) $(LPC_FILES) $(WAGON_FILES) $(XML_FILES) $(UTT_FILES) \
	$(TILT_FILES)

FILES = Makefile $(TESTFILES)

include $(TOP)/config/common_make_rules

=== debian/changelog ===
speech-tools (1:2.1~release-6) unstable; urgency=low

  [ Peter Drysdale ]
  * gcc 4.8 compliance a by-product of EsounD removal. (Closes: #701362)
  * Add patch to enable compiling of with clang 3.0.
  * Stop clobbering compiler/ld flags in festival build, it is not polite.
  * Remove support for EsounD which has been deprecated by Gnome
  * Fix Lintian flagged spelling error.
  * Add missing dependency on libaudiofile-dev. Thanks
    to Alessio Treglia.  (Closes: #657603)

  [ Sergio Oller ]
  * Add patch to enable native PulseAudio support. Original implementation by
    Matthias Clasen.
  * Add patch to enable native ALSA support. (Closes: #638394)
  * Original work on release-5 bug fast-tracked to wheezy.

 -- Peter Drysdale <drysdalepete@gmail.com>  Mon, 04 May 2013 09:40:22 +1000

speech-tools (1:2.1~release-5) unstable; urgency=low

  * Add Conflicts libestools2.0-dev, libestools1.2-dev
    to ensure smooth upgrades (closes: #694059)

 -- Peter Drysdale <drysdalepete@gmail.com>  Mon, 14 Jan 2013 20:22:52 +1000

speech-tools (1:2.1~release-4) unstable; urgency=low

  [ Samuel Thibault ]
  * control:
    - Bump Standards-Version to 3.9.3 (no changes).
    - Set libestools2.1 multi-arch: same.
  * rules: Install libraries to multi-arch path.

  [ Peter Drysdale ]
  * Add Pre-Depend on multiarch-support as flagged by lintian
  * Add qualification to unqualified method calls in templates
    allowing compiling with gcc>=4.7.
  * Remove old compiler switch fno-shared-data which is not present
    after gcc>=4.0.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Mar 2012 00:05:28 +0200

speech-tools (1:2.1~release-3) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * patches/fmt.diff: Fix format security issue.

  [ Peter Drysdale ]
  * compat: bump to debhelper 8
  * Move to dh style minimum format for rules.
  * Move to source format 3.0 quilt.
  * Refresh contexts, clean up some patches, and del. obs. uncompiled patches
  * Provide individual patch headers and remove misleading
    uniform headers about patching for GCC (Closes: #616341)
  * Clean build system and drop obsolete compiler patches.

 -- Peter Drysdale <drysdalepete@gmail.com>  Tue, 13 Dec 2011 17:22:52 +1000

speech-tools (1:2.1~release-2.1) unstable; urgency=low

  * New maintainer (closes: #637820)

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Tue, 16 Aug 2011 02:19:25 +0200

speech-tools (1:2.1~release-2) unstable; urgency=low

  * Make libestools2.1-dev provide libestools2.0-dev, so that binNMUs can
    be facilitated.
  * Add missing copyright entries.

 -- Kumar Appaiah <akumar@debian.org>  Thu, 24 Feb 2011 09:57:35 -0600

speech-tools (1:2.1~release-1) unstable; urgency=low

  * New upstream release
  * Bump soname; shlibs etc. updated
  * Update patches and rules file to handle symlinks with just x.y
    versioning as opposed to x.y.z by appropriately ignoring the absence
    of the minor version number. Also fix major version detection in
    debian/get_version.sh.
  * Update watch file to handle "release" in version number

 -- Kumar Appaiah <akumar@debian.org>  Wed, 16 Feb 2011 20:53:04 -0600

speech-tools (1:2.0.95~beta-2) unstable; urgency=low

  * Update speech_class_EST_WaveFile.cc.diff to fix audsp related
    crashes. (Closes: #601294)
  * Update Standards Version to 3.9.1 (no changes needed)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 24 Oct 2010 19:02:37 -0500

speech-tools (1:2.0.95~beta-1) unstable; urgency=low

  [ Kartik Mistry ]
  * debian/control:
    + [Lintian] Added missing ${misc:Depends}
    + Updated Standards-Version to 3.8.4 (no changes needed)
  * debian/patches/const_char.diff:
    + Added missing patch header
  * Removed unused patch invalid_const_char_conversion_fixes.diff

  [ Kumar Appaiah ]
  * New upstream release.
  * Standards Version is now 3.9.0 (No changes needed)
  * Update debian/rules to specify version numbers.

 -- Kumar Appaiah <akumar@debian.org>  Sat, 17 Jul 2010 11:32:04 -0500

speech-tools (1:1.2.96~beta-6) unstable; urgency=low

  [ Kartik Mistry ]
  * debian/patches/invalid_const_char_conversion_fixes.diff:
    + Added patch to fix invalid_const_char_conversion_fixes.diff, Thanks to
      Ilya Barygin <barygin@gmail.com> (Closes: #548521)
  * debian/control:
    + Don't Recommends speech-tools, use Suggests instead to not pull unwanted
    speech-tools-doc package while installing -dev package

  [ Kumar Appaiah ]
  * Fix build system to avoid unresolved symbols, so that the build is
    possible with binutils-gold. Thanks to Peter Fritzsche for his help
    with this. (Closes: #558964)

 -- Kumar Appaiah <akumar@debian.org>  Sat, 05 Dec 2009 08:59:30 -0600

speech-tools (1:1.2.96~beta-5) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.3
    + [Lintian] Removed duplicate section for speech-tools binary
    + [Lintian] Updated package descriptions
    + Wrapped up Depends and Build-Depends
  * Added debian/README.source file
  * debian/*.1:
    + [Lintian] Fixed manpage warnings of undefined .P
  * debian/patches/include_EST_ChannelType.diff:
    + Added missing patch description

 -- Kartik Mistry <kartik@debian.org>  Fri, 18 Sep 2009 10:40:22 +0530

speech-tools (1:1.2.96~beta-4) unstable; urgency=low

  * debian/rules:
    + Move pm Perl script to simple-pitchmark to avoid
      using /usr/bin/pm as the executable name. (Closes: #520445)
  * debian/README.Debian: Explain pm renaming.
  * debian/manpage.1: Provide correct location of documentation.

 -- Kumar Appaiah <akumar@debian.org>  Sat, 28 Mar 2009 09:58:45 -0500

speech-tools (1:1.2.96~beta-3) unstable; urgency=low

  * Add common description for all patches.
  * debian/patches/include_EST_ChannelType.diff:
    + Added to introduce parentheses around macro
      EST_CoefChannelId to avoid compiler warnings.
  * debian/patches/utils_EST_cutils.c.diff:


=== debian/control ===
Source: speech-tools
Section: sound
Priority: optional
Maintainer: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
Uploaders: Kumar Appaiah <akumar@debian.org>, Peter Drysdale <drysdalepete@gmail.com>
Build-Depends: debhelper (>= 8),
               autotools-dev,
               gawk | awk,
               libaudiofile-dev,
               libncurses5-dev,
               quilt (>= 0.40),
               libpulse-dev,
               libasound2-dev [linux-any],
               hardening-wrapper
Standards-Version: 3.9.3
Homepage: http://festvox.org/packed/festival/
Vcs-Git: git://git.debian.org/git/tts/speech-tools.git
Vcs-Browser: http://git.debian.org/?p=tts/speech-tools.git

Package: libestools2.1
Architecture: any
Multi-arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Conflicts: speech-tools1,
           libestools1.2c102
Replaces: speech-tools1,
          libestools1.2c102,
Description: Edinburgh Speech Tools Library
 The Edinburgh Speech Tools Library is a collection of C++ class, functions and
 related programs for manipulating the sorts of objects used in speech
 processing.

Package: libestools2.1-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libc6-dev,
         libestools2.1 (= ${binary:Version}),
         libasound2-dev [linux-any],
         libncurses5-dev
Conflicts: speech-tools-dev, libestools2.0-dev, libestools1.2-dev
Replaces: speech-tools-dev, libestools2.0-dev, libestools1.2-dev
Provides: libestools-dev, libestools2.0-dev
Suggests: speech-tools-doc
Description: Edinburgh Speech Tools Library - developer's libraries
 The Edinburgh Speech Tools Library is a collection of C++ class, functions and
 related programs for manipulating the sorts of objects used in speech
 processing.
 .
 This package contains the header files and static libraries.

Package: speech-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: speech-tools-bin
Replaces: speech-tools-bin
Suggests: speech-tools-doc
Description: Edinburgh Speech Tools - user binaries
 This package contains the various highly useful utility programs that use and
 accompany the Edinburgh Speech Tools Library. Audio software and some basic
 signal processing software is included in this package.
 .
 The following programs are available:
 na_play: generic playback program for use with net_audio and CSTR ao.
 ch_wave: Waveform file conversion program.
 ch_lab: label file conversion program.
 ch_track: Track file conversion program.
 wagon: a CART tree build and test program
 .
 See /usr/share/doc/speech-tools/README for detail list of programs available.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

MAJORVER=$(shell sh ./debian/get_version.sh|awk '{print $$2}')
FULLVER=$(shell sh ./debian/get_version.sh|awk '{print $$1}')
DEBVER=$(shell dpkg-parsechangelog |awk '/^Version/ { print $$2}')

SBT := $(shell pwd)/debian/speech-tools
SBTM:= $(SBT)/usr/share/man/man1

S_PROGRAMS = bcat ch_lab ch_track ch_utt ch_wave dp na_play na_record ngram_build \
	ngram_test ols ols_test pda pitchmark scfg_make scfg_parse scfg_test \
	scfg_train sig2fv sigfilter spectgen tilt_analysis tilt_synthesis \
	viterbi wagon wagon_test wfst_build wfst_run
S_DOC = na_play na_record ch_wave ch_utt ch_track ch_lab
S_UNDOC = bcat dp ngram_build \
	ngram_test ols ols_test pda pitchmark scfg_make scfg_parse scfg_test \
	scfg_train sig2fv sigfilter spectgen tilt_analysis tilt_synthesis \
	viterbi wagon wagon_test wfst_build wfst_run make_wagon_desc \
	raw_to_xgraph resynth simple-pitchmark

S_SCRIPTS = raw_to_xgraph.prl make_wagon_desc.sh resynth.sh

override_dh_auto_configure:
#Avoid conflicting with upstreams build system

override_dh_auto_test:
#Upstream states test is only for their local development not a functional test

override_dh_auto_build:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	$(MAKE) PROJECT_VERSION=$(shell dpkg-parsechangelog|grep "Version:"|sed 's/^.*://;s/~.*$$//') PROJECT_MAJOR_VERSION=$(MAJORVER)

override_dh_auto_clean:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	$(MAKE) clean SYSTEM_TYPE=unknown_DebianGNULinux


override_dh_clean:
	find -name make.depend -print0 | xargs -0r $(RM)
	find -name make.include -print0 | xargs -0r $(RM)
	find bin/ \( -name SCCS -o -name RCS -o -name CVS \) -prune \
	     -o -type f ! -name Makefile -print0 | xargs -0r $(RM)
	$(RM) config/modincludes.inc config/system.mak config.log \
	      config.status config.cache libestools.so
	$(RM) lib/libestools.so*
	$(RM) config.sub config.guess
	dh_clean

override_dh_auto_install:
	dh_install -p libestools$(MAJORVER) lib/*.so.$(FULLVER) /usr/lib/$(DEB_HOST_MULTIARCH)

	dh_installdirs -p speech-tools usr/bin usr/share/man/man1
	(cd main && cp $(S_PROGRAMS) $(SBT)/usr/bin)
	(cd scripts && \
		for i in $(S_SCRIPTS); do \
			dest=`echo $$i | sed -e 's/\.\(prl\|sh\)$$//'`; \
			sed -e 's,__PERL__,/usr/bin/perl,g' \
				<$$i >$(SBT)/usr/bin/$$dest; \
			chmod +x $(SBT)/usr/bin/$$dest; \
		done)
	# Handle the install of pm which is renamed simple-pitchmark separately.
	(cd scripts && \
			sed -e 's,__PERL__,/usr/bin/perl,g' \
				<pm.prl >$(SBT)/usr/bin/simple-pitchmark; \
			chmod +x $(SBT)/usr/bin/simple-pitchmark;)

	dh_install -p libestools$(MAJORVER)-dev lib/*.a /usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p libestools$(MAJORVER)-dev include/*.h /usr/include/speech_tools/
	dh_install -p libestools$(MAJORVER)-dev include/unix/*.h /usr/include/speech_tools/unix/
	# Note: these are possibly internal headers (C++ lossage)
	dh_install -p libestools$(MAJORVER)-dev include/instantiate/*.h /usr/include/speech_tools/instantiate/
	dh_install -p libestools$(MAJORVER)-dev include/sigpr/*.h /usr/include/speech_tools/sigpr/
	dh_install -p libestools$(MAJORVER)-dev include/ling_class/*.h /usr/include/speech_tools/ling_class/
	dh_install -p libestools$(MAJORVER)-dev include/rxp/*.h /usr/include/speech_tools/rxp/
	dh_install -p libestools$(MAJORVER)-dev base_class/*.h /usr/include/speech_tools/
	dh_install -p libestools$(MAJORVER)-dev base_class/*.cc /usr/include/speech_tools/base_class/
	# Needed to compile things against speech_tools
	dh_install -p libestools$(MAJORVER)-dev make.include /usr/lib/speech_tools/
	dh_install -p libestools$(MAJORVER)-dev lib/siod/*.scm /usr/lib/speech_tools/lib/siod/
	dh_install -p libestools$(MAJORVER)-dev config/* /usr/lib/speech_tools/config/
	dh_install -p libestools$(MAJORVER)-dev config/compilers/* /usr/lib/speech_tools/config/compilers/
	dh_install -p libestools$(MAJORVER)-dev config/configs/* /usr/lib/speech_tools/config/configs/
	dh_install -p libestools$(MAJORVER)-dev config/modules/* /usr/lib/speech_tools/config/modules/
	dh_install -p libestools$(MAJORVER)-dev config/rules/* /usr/lib/speech_tools/config/rules/
	dh_install -p libestools$(MAJORVER)-dev config/systems/* /usr/lib/speech_tools/config/systems/

	chmod +x debian/libestools$(MAJORVER)-dev/usr/lib/speech_tools/config/rules/modules.sh
	chmod +x debian/libestools$(MAJORVER)-dev/usr/lib/speech_tools/config/system.sh

override_dh_link: 
	dh_link -p libestools$(MAJORVER) \
		usr/lib/$(DEB_HOST_MULTIARCH)/libestbase.so.$(FULLVER) usr/lib/$(DEB_HOST_MULTIARCH)/libestbase.so.$(MAJORVER) \
		usr/lib/$(DEB_HOST_MULTIARCH)/libestools.so.$(FULLVER) usr/lib/$(DEB_HOST_MULTIARCH)/libestools.so.$(MAJORVER) \
		usr/lib/$(DEB_HOST_MULTIARCH)/libeststring.so.$(FULLVER) usr/lib/$(DEB_HOST_MULTIARCH)/libeststring.so.$(MAJORVER)
	dh_link -p libestools$(MAJORVER)-dev \
		usr/lib/$(DEB_HOST_MULTIARCH)/libestbase.so.$(MAJORVER)   usr/lib/$(DEB_HOST_MULTIARCH)/libestbase.so \
		usr/lib/$(DEB_HOST_MULTIARCH)/libestools.so.$(MAJORVER)   usr/lib/$(DEB_HOST_MULTIARCH)/libestools.so \
		usr/lib/$(DEB_HOST_MULTIARCH)/libeststring.so.$(MAJORVER) usr/lib/$(DEB_HOST_MULTIARCH)/libeststring.so
	# Festival related evil
	dh_link -p libestools$(MAJORVER)-dev \
		/usr/lib/$(DEB_HOST_MULTIARCH)/libestbase.so    /usr/lib/speech_tools/lib/libestbase.so \
		/usr/lib/$(DEB_HOST_MULTIARCH)/libestbase.a     /usr/lib/speech_tools/lib/libestbase.a \
		/usr/lib/$(DEB_HOST_MULTIARCH)/libeststring.so  /usr/lib/speech_tools/lib/libeststring.so \
		/usr/lib/$(DEB_HOST_MULTIARCH)/libeststring.a   /usr/lib/speech_tools/lib/libeststring.a \
		/usr/lib/$(DEB_HOST_MULTIARCH)/libestools.so    /usr/lib/speech_tools/lib/libestools.so \
		/usr/lib/$(DEB_HOST_MULTIARCH)/libestools.a     /usr/lib/speech_tools/lib/libestools.a \
		/usr/include/speech_tools /usr/lib/speech_tools/include
	# Compatibility with past packages
	dh_link -p libestools$(MAJORVER)-dev /usr/include/speech_tools /usr/include/estools

override_dh_installdocs:
	dh_installdocs -pspeech-tools -plibestools$(MAJORVER) -plibestools$(MAJORVER)-dev README

override_dh_installman:
	mkdir -p $(SBTM)
	install -m 0644 $(patsubst %,debian/%.1,$(S_DOC)) $(SBTM)
	install -m 0644 debian/manpage.1 $(SBTM)/speech-tools.1
	gzip -9 $(SBTM)/speech-tools.1
	for f in $(S_UNDOC) ; do ln -sf speech-tools.1.gz $(SBTM)/$$f.1.gz ; done

override_dh_makeshlibs:	
	dh_makeshlibs -p libestools$(MAJORVER) -V "libestools$(MAJORVER) (>= $(DEBVER))"

override_dh_shlibsdeps:	
	# speech_tools should not depend on itself
	dh_shlibdeps -plibestools$(MAJORVER) -l debian/libestools$(MAJORVER)/usr/lib
	# these ones should depend on speech_tools (and associated libs)
	dh_shlibdeps -pspeech-tools -Llibestools$(MAJORVER) -l debian/libestools$(MAJORVER)/usr/lib

%:
	dh $@
#

=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/;s/-release/~release/" \
http://festvox.org/packed/festival/latest/ speech_tools-(.*).tar.gz
